<div *ngIf="display; else showTitle">
  <div class="flex mb-4 font-bold text-gray-500 space-x-9">
    <h2 class="cursor-pointer transition-colors duration-300 hover:text-green-500">Product List</h2>
    <h2 class="text-green-500 cursor-pointer transition-colors duration-300 hover:text-green-700">Product Add</h2>
    <h2 class="cursor-pointer transition-colors duration-300 hover:text-green-500">Product Edit</h2>
  </div>
  <div class="border border-gray-600 rounded-md p-5 bg-gray-800 shadow-lg">
    <h1 class="font-medium text-3xl text-green-500">Thêm Sản Phẩm Mới</h1>
    <div class="text-left mt-4">
      <input [(ngModel)]="name" type="text"
        class="border border-gray-600 rounded-md w-full h-[40px] my-3 px-4 bg-gray-900 text-white placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-green-500 transition duration-300"
        placeholder="Tên Sản Phẩm">
      <input [(ngModel)]="image" type="text"
        class="border border-gray-600 rounded-md w-full h-[40px] my-3 px-4 bg-gray-900 text-white placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-green-500 transition duration-300"
        placeholder="Link Ảnh">
      <input [(ngModel)]="price" type="number"
        class="border border-gray-600 rounded-md w-full h-[40px] my-3 px-4 bg-gray-900 text-white placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-green-500 transition duration-300"
        placeholder="Giá Tiền">
      <button (click)="onAddProduct()"
        class="bg-green-500 text-white hover:bg-white hover:text-green-500 p-2 font-semibold rounded-md mt-3 border-2 border-green-500 transition duration-300">Tạo
        Sản Phẩm</button>
    </div>
  </div>
  <br>
</div>
<div>
<ng-template #showTitle>
  <h1 class="text-xl text-green-500">Hiển Thị Để Thêm Sản Phẩm</h1>
</ng-template>
<div>
  <button (click)="display = !display"
    class="bg-green-500 text-white hover:bg-white hover:text-green-500 p-2 font-semibold rounded-md mt-3 border-2 border-green-500 transition duration-300">Hiển
    Thị</button>
</div>
